#include <Arduino.h>
#include <DFRobot_ID809.h>

// use serial3 as interface with fingerprint
// sensor .
#define FPSerial Serial3

// define buillt_in led
#define BUILTIN_LED 13
// Collect the fingerprint 3 times
#define COLLECT_NUMBER 3

/*------Funciotion dclarations----------*/
// function to blink blitin_led
// to make sure that code is working
void blink_led();

/*------Global variables--------------*/
DFRobot_ID809 fingerprint;
uint8_t ID, i, ret;

void setup() {
  // config led_pin as output
  pinMode(BUILTIN_LED, OUTPUT);
  // use serial port to print the baud rate
  Serial.begin(9600);

  FPSerial.begin(115200);
  fingerprint.begin(FPSerial);

  while (fingerprint.isConnected() == false) {
    Serial.println("Communication with the device failed");
    delay(1000);
  }
}

void loop() {

 uint8_t ret = 0;
  /*Set fingerprint LED ring mode, color, and number of blinks
    Can be set as follows:
    Parameter 1:<LEDMode>
    eBreathing   eFastBlink   eKeepsOn    eNormalClose
    eFadeIn      eFadeOut     eSlowBlink
    Parameter 2:<LEDColor>
    eLEDGreen  eLEDRed      eLEDYellow   eLEDBlue
    eLEDCyan   eLEDMagenta  eLEDWhite
    Parameter 3:<number of blinks> 0 represents blinking all the time
    This parameter will only be valid in mode eBreathing, eFastBlink, eSlowBlink
   */
  fingerprint.ctrlLED(/*LEDMode = */ fingerprint.eBreathing,
                      /*LEDColor = */ fingerprint.eLEDBlue,
                      /*blinkCount = */ 0);
  fingerprint.delFingerprint(DELALL); // delete all fingerprint  
  Serial.println("-----------------------------");
  delay(1000);
  
  while(1) 
   blink_led();
}

void blink_led() {
  digitalWrite(BUILTIN_LED, HIGH);
  delay(100);
  digitalWrite(BUILTIN_LED, LOW);
  delay(100);
}
